; Include file for Skype scripts

; Strings in this file should NOT be localized.

const
; Skype version code, spoken by JAWSKey+Q.
	Script_Version = "4.0c",
; Window class names (wc) and substrings within names (cws).
	wcApp = "TApplication",   ; The class name of the parent of Skype toolbars and other things
	cwsPageControl = "pagecontrol",  ; Identifies the main Skype window page control
	cwsEdit = "edit",  ; Identifies many edit controls
	cwsGrid = "grid",  ; Identifies most Skype grid controls
	cwsToolTip = "hintwindow",  ; Identifies the Skype tool tip
	cwsNotify = "notif",  ; Identifies system tray pop-up notification windows
	cwsMyself = "myselfcontrol",  ; Identifies the Skype 1.5 "myself" control (events and services)
; Skype window types; See GetSkypeWindow().
; These can be sent to GetSkypeWindow() and GetSkypeMSAAObject().
; SWT_MenuBar is only intended for use with GetSkypeMSAAObject().
	SWT_Main = "main",   ; The main (top-level) Skype window
	SWT_MenuBar = "menubar",   ; The main-window Skype menu bar (MSAA object)
	SWT_StatusBar = "statusBar",   ; The status bar window
	SWT_Events = "events",   ; The missed events window (Skype 1.3+)
	SWT_ContactList = "lista contatti",   ; The actual contact list window
	SWT_ConversationList = "lista conversazioni",   ; The conversation list
	SWT_LiveConversations = "liveConversazioni",   ; The live conversation list
	SWT_History = "cronologia",   ; The History list
	SWT_ToolTip = "tooltip",   ; The Skype tool tip (contact/caller info, button name, etc.)
	SWT_Notify = "notify",   ; A Skype system tray pop-up window
; The following are not absolute window identifiers; they are unique within a single active chat window.
	SWT_ChatPrefix = "chat",   ; Not an ID; the prefix of all the below chat-related IDs.
	SWT_ChatMain = "chatMain",   ; The main (top-level) window if it is an active chat
	SWT_ChatInput = "chatInput",   ; The input edit box in the active chat window
	SWT_ChatOutput = "chatOutput",   ; The output edit box in the active chat window
	SWT_ChatList = "chatList",   ; The participant list in Skype 1.1 chat windows
	SWT_ChatContact = "chatContact",   ; The contact profile(s) in Skype 4 conversation windows
; Contact list names that can be handed to SkypeUtil.jsl::GetContactList() to get lists of contacts.
; CLN stands for Contact List Name.
	CLN_Incoming = "incoming",  ; list of incoming calls
	CLN_Connected = "in linea, dei tuoi ",  ; List of who's connected to the Skype network (Online +Away +Not Available +SkypeMe +DND)
	CLN_Online = "in linea",  ; List of contacts with status "Online"
	CLN_Away = "Away",  ; List of contacts with status "Away"
	CLN_NotAvailable = "Not Available",  ; List of contacts with status "Not Available"
	CLN_DND = "Do Not Disturb",  ; List of contacts with status "Do Not Disturb"
	CLN_SkypeMe = "SkypeMe",  ; List of contacts with status "Skype Me"
	CLN_Active = "active",  ; List of active calls (including conferences)
	CLN_Held = "held",  ; List of calls/conferences that have been locally placed on hold
	cnstCChat = "TskChatForm",
	cnstCMain = "MainForm",
	cnstcStatusBar = "TTntStatusBar",
	cnstcPanel = "TPanel",
	cnstcAbout = "TskAbout",
	CNSTCSearch = "tSkSearchForm",
	cnstINIFileName = "skype.ini",
	cnstINISectName = "toggles",
	cnstIniSWAKey = "SkypeWatchAlertList",
	cnstSWASep = "\7",
	fNameSkypeTyping = "SkypeTyping%1.wav",
	CnstSkypeScriptsURL="http://www.dlee.org/skype/"
